% Elementary functions with Matlab
% Prepared by Gilberto E. Urroz, August 2004
echo on
% This Script is aimed at introducing the use of elementary functions in the
% MATLAB environment -- it is also a review of pre-calculus mathematics
% Please read the document 'MATLAB_Elementary_Functions.pdf' to see all 
% exercises.  Only a few exercises are presented here.
pause

% Examples of the following elementary functions applied to real and complex numbers:
%abs - absolute value of a real number or magnitude of a complex number
[abs(2.3), abs(-5.2), abs(3.2+5.1)]
pause
%ceil - ceiling function: rounds up a floating-point number
[ceil(2.3), ceil(-5.2), ceil(3.2+5.1)]
pause
%floor - rounds down a floating-point number
[floor(2.3), floor(-5.2), floor(3.2+5.1)]
pause
%fix - rounds a floating-point number towards zero
[fix(2.3), fix(-5.2), fix(3.2+5.1)]
pause
%mod - arithmetic remainder function
[mod(11,3), mod(12,3), mod(8,2), mod(5,2)]
pause
%rem  remainder after division
[rem(11,3), rem(12,3), rem(8,2), rem(5,2)]
pause
%rat - rational approximation of a floating-point number
[n,d] = rat(0.3333)
pause
[n,d] = rat(0.3333,1e-5)
pause
%round - rounds to nearest integer
[round(2.3), round(-5.2), round(3.2+5.1)]
%sign - sign function
[sign(2.3), sign(-5.2), sign(3.2+5.1)]
pause
%sqrt - square root
[sqrt(2.3), sqrt(-5.2), sqrt(3.2+5.1)]
pause

% Read document for examples with exponential, logarithmic, trigonmetric,
% and hyperbolic functions
pause

% The following functions apply to complex numbers:
z = 3.4+5.2*i    % a complex number
pause

x = real(z)      % real part
pause 

y = imag(z)      % imaginay part
pause

r = abs(z)       % magnitude
pause

theta = angle(z)  % argument
pause

zprime = conj(z)  % complex conjugate
pause

% Read document for additional applications with complex numbers
% End of script

